Inventory =
{
	Create = function()
		local i = {}
		
		i.Items = {}
		
		i.Push = function(self, item)
			table.insert(self.Items, item)
		end
		
		i.Pop = function(self)
			return table.remove(self.Items, 1)
		end
		
		i.CycleDown = function(self)
			table.insert(self.Items, self:Pop())
		end
		
		i.CycleUp = function(self)
			table.insert(self.Items, 1, table.remove(self.Items, table.maxn(self.Items)))
		end
		
		i.CurrentItem = function(self)
			return self.Items[1]
		end
		
		i.BackItem = function(self)
			return self.Items[table.maxn(self.Items)]
		end
		
		return i
	end
}
