Demo = {}

function Demo:Initialize()
	self.State = State.Create()
	self.State.IsPlayerDead = false
	
	self.Stage = Stage.Create(self.State, Game.AbsolutePath .. "Content/Stages/Demo/Demo.lua")
end

function Demo:Update(covered, inFocus)
	if not Game.IsPaused and not covered and inFocus then
		self.Stage:Update(Game.ElapsedTime)
		
		if self.State.IsPlayerDead then
			Game.Screeny:Add("Title")
			self.Remove()
		end
	end
end

function Demo:Draw(buffer)
	self.Stage:Draw(buffer, Point.Create(0, 0))
end
